> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Create RegistrationNumberEntry entity.

> Creates a new RegistrationNumberEntry entity.

- Product: Registration number entries
- Section: RegistrationNumberEntry
- Snapshot: Current
- Method: `POST`
- Path: `/api/registration_number_entries/`

## Request body

Required: no  
Content types: `application/json`  

### `number`

Type: `string`  
Required: yes  

### `description`

Type: `string`  
Required: no  

### `type`

Type: `string`  
Required: no  
Allowed values: `staff`, `supplier`, `emergency`, `temp`, `year`  

### `validFrom`

Type: `string`  
Format: `date-time`  
Required: no  

### `validThrough`

Type: `string`  
Format: `date-time`  
Required: no  

### `validDuringReservation`

Type: `boolean`  
Required: no  

### `custom`

Type: `boolean`  
Required: no  

### `approved`

Type: `boolean`  
Required: no  

### `reservation`

Type: `object`  
Required: no  

#### `id`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.registrationNumberEntries.create({
  number: "<number>",
});
```

## Execute with curl

```bash
curl -X POST "https://app.recranet.com/api/registration_number_entries/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '{"number":"<number>"}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "number": "number",
  "custom": true,
  "approved": true,
  "processed": true,
  "validFrom": "validFrom",
  "validThrough": "validThrough",
  "description": "description",
  "type": "type",
  "validDuringReservation": true,
  "created": "created",
  "modified": "modified"
}
```

##### Schema

###### RegistrationNumberEntry

Type: `RegistrationNumberEntry`  

###### `id`

Type: `number`  
Required: yes  

###### `number`

Type: `string`  
Required: yes  

###### `validFrom`

Type: `string`  
Format: `date-time`  
Required: no  

###### `validThrough`

Type: `string`  
Format: `date-time`  
Required: no  

###### `description`

Type: `string`  
Required: no  

###### `type`

Type: `string`  
Required: no  

###### `validDuringReservation`

Type: `boolean`  
Required: no  
Default: `true`  

###### `custom`

Type: `boolean`  
Required: yes  

###### `approved`

Type: `boolean`  
Required: yes  

###### `processed`

Type: `boolean`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: no  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `429`

Category: client-error  

Too many requests

#### `application/json`

##### Example

```json
{
  "statusCode": 429,
  "description": "Too many requests",
  "errors": [
    "Too many requests"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/registration-number-entries/methods/create/)
- [TypeScript Markdown](/registration-number-entries/methods/create.md?lang=typescript)
- [curl Markdown](/registration-number-entries/methods/create.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/registration-number-entries/llms.txt)
- [snapshot llms.txt](/registration-number-entries/llms.txt)
